> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update play

> Update a play



## OpenAPI

````yaml https://api.getcargo.io/openapi.json put /orchestration/plays/{uuid}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /orchestration/plays/{uuid}:
    put:
      tags:
        - Orchestration - Plays
      summary: Update play
      description: Update a play
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Play identifier.
          required: true
          description: Play identifier.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  title: Name
                  description: Play name.
                description:
                  title: Description
                  description: Play description.
                  anyOf:
                    - type: string
                    - type: 'null'
                isEnabled:
                  title: Is enabled
                  description: Whether the play is enabled.
                  type: boolean
                filter:
                  title: Filter
                  description: Segment filter criteria.
                  type: object
                  properties:
                    conjonction:
                      type: string
                      enum:
                        - or
                        - and
                    groups:
                      type: array
                      items:
                        type: object
                        properties:
                          conjonction:
                            type: string
                            enum:
                              - or
                              - and
                          conditions:
                            type: array
                            items:
                              anyOf:
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      const: sql
                                    name:
                                      type: string
                                    clause:
                                      type: string
                                  required:
                                    - kind
                                    - name
                                    - clause
                                - allOf:
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          const: string
                                        relatedModelUuid:
                                          type: string
                                        columnSlug:
                                          type: string
                                      required:
                                        - kind
                                        - columnSlug
                                    - anyOf:
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              enum:
                                                - is
                                                - isNot
                                                - contains
                                                - doesNotContain
                                                - startsWith
                                                - endsWith
                                            values:
                                              anyOf:
                                                - type: string
                                                - type: array
                                                  items:
                                                    type: string
                                          required:
                                            - operator
                                            - values
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              enum:
                                                - isNull
                                                - isNotNull
                                                - isEmpty
                                                - isNotEmpty
                                          required:
                                            - operator
                                - allOf:
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          const: number
                                        relatedModelUuid:
                                          type: string
                                        columnSlug:
                                          type: string
                                      required:
                                        - kind
                                        - columnSlug
                                    - anyOf:
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              enum:
                                                - is
                                                - isNot
                                                - greaterThan
                                                - lowerThan
                                            value:
                                              type: number
                                          required:
                                            - operator
                                            - value
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              const: between
                                            firstValue:
                                              type: number
                                            lastValue:
                                              type: number
                                          required:
                                            - operator
                                            - firstValue
                                            - lastValue
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              enum:
                                                - isNull
                                                - isNotNull
                                          required:
                                            - operator
                                - allOf:
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          const: objectProperty
                                        relatedModelUuid:
                                          type: string
                                        columnSlug:
                                          type: string
                                        propertyName:
                                          type: string
                                      required:
                                        - kind
                                        - columnSlug
                                        - propertyName
                                    - anyOf:
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              enum:
                                                - is
                                                - isNot
                                                - contains
                                                - greaterThan
                                                - lowerThan
                                                - doesNotContain
                                                - startsWith
                                                - endsWith
                                            value:
                                              type: string
                                          required:
                                            - operator
                                            - value
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              enum:
                                                - isNull
                                                - isNotNull
                                                - isEmpty
                                                - isNotEmpty
                                          required:
                                            - operator
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              const: between
                                            value:
                                              type: string
                                            otherValue:
                                              type: string
                                          required:
                                            - operator
                                            - value
                                            - otherValue
                                - allOf:
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          const: object
                                        relatedModelUuid:
                                          type: string
                                        columnSlug:
                                          type: string
                                      required:
                                        - kind
                                        - columnSlug
                                    - anyOf:
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              const: isNull
                                          required:
                                            - operator
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              const: isNotNull
                                          required:
                                            - operator
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              const: matchConditions
                                            conjonction:
                                              type: string
                                              enum:
                                                - or
                                                - and
                                            propertyConditions:
                                              type: array
                                              items:
                                                allOf:
                                                  - type: object
                                                    properties:
                                                      kind:
                                                        type: string
                                                        const: objectProperty
                                                      relatedModelUuid:
                                                        type: string
                                                      columnSlug:
                                                        type: string
                                                      propertyName:
                                                        type: string
                                                    required:
                                                      - kind
                                                      - columnSlug
                                                      - propertyName
                                                  - anyOf:
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - is
                                                              - isNot
                                                              - contains
                                                              - greaterThan
                                                              - lowerThan
                                                              - doesNotContain
                                                              - startsWith
                                                              - endsWith
                                                          value:
                                                            type: string
                                                        required:
                                                          - operator
                                                          - value
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - isNull
                                                              - isNotNull
                                                              - isEmpty
                                                              - isNotEmpty
                                                        required:
                                                          - operator
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            const: between
                                                          value:
                                                            type: string
                                                          otherValue:
                                                            type: string
                                                        required:
                                                          - operator
                                                          - value
                                                          - otherValue
                                          required:
                                            - operator
                                            - conjonction
                                            - propertyConditions
                                - allOf:
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          const: array
                                        relatedModelUuid:
                                          type: string
                                        columnSlug:
                                          type: string
                                      required:
                                        - kind
                                        - columnSlug
                                    - anyOf:
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              const: isNull
                                          required:
                                            - operator
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              const: isNotNull
                                          required:
                                            - operator
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              const: matchConditions
                                            conjonction:
                                              type: string
                                              enum:
                                                - or
                                                - and
                                            propertyConditions:
                                              type: array
                                              items:
                                                allOf:
                                                  - type: object
                                                    properties:
                                                      kind:
                                                        type: string
                                                        const: objectProperty
                                                      relatedModelUuid:
                                                        type: string
                                                      columnSlug:
                                                        type: string
                                                      propertyName:
                                                        type: string
                                                    required:
                                                      - kind
                                                      - columnSlug
                                                      - propertyName
                                                  - anyOf:
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - is
                                                              - isNot
                                                              - contains
                                                              - greaterThan
                                                              - lowerThan
                                                              - doesNotContain
                                                              - startsWith
                                                              - endsWith
                                                          value:
                                                            type: string
                                                        required:
                                                          - operator
                                                          - value
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - isNull
                                                              - isNotNull
                                                              - isEmpty
                                                              - isNotEmpty
                                                        required:
                                                          - operator
                                                      - type: object
                                                        properties:
                                                          operator:
                                                            type: string
                                                            const: between
                                                          value:
                                                            type: string
                                                          otherValue:
                                                            type: string
                                                        required:
                                                          - operator
                                                          - value
                                                          - otherValue
                                          required:
                                            - operator
                                            - conjonction
                                            - propertyConditions
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      const: any
                                    relatedModelUuid:
                                      type: string
                                    columnSlug:
                                      type: string
                                    operator:
                                      type: string
                                      enum:
                                        - isNull
                                        - isNotNull
                                  required:
                                    - kind
                                    - columnSlug
                                    - operator
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      const: vector
                                    relatedModelUuid:
                                      type: string
                                    columnSlug:
                                      type: string
                                    operator:
                                      type: string
                                      enum:
                                        - isNull
                                        - isNotNull
                                  required:
                                    - kind
                                    - columnSlug
                                    - operator
                                - allOf:
                                    - type: object
                                      properties:
                                        kind:
                                          type: string
                                          const: date
                                        relatedModelUuid:
                                          type: string
                                        columnSlug:
                                          type: string
                                      required:
                                        - kind
                                        - columnSlug
                                    - anyOf:
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              enum:
                                                - is
                                                - isNot
                                                - greaterThan
                                                - lowerThan
                                            value:
                                              type: string
                                          required:
                                            - operator
                                            - value
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              const: between
                                            firstValue:
                                              type: string
                                            lastValue:
                                              type: string
                                          required:
                                            - operator
                                            - firstValue
                                            - lastValue
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              enum:
                                                - isNull
                                                - isNotNull
                                          required:
                                            - operator
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      const: boolean
                                    relatedModelUuid:
                                      type: string
                                    columnSlug:
                                      type: string
                                    operator:
                                      type: string
                                      enum:
                                        - isTrue
                                        - isFalse
                                        - isNull
                                        - isNotNull
                                  required:
                                    - kind
                                    - columnSlug
                                    - operator
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      const: occurrence
                                    relatedModelUuid:
                                      type: string
                                    frequency:
                                      anyOf:
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              const: not
                                          required:
                                            - operator
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              enum:
                                                - moreThan
                                                - lessThan
                                                - exactly
                                            value:
                                              type: number
                                          required:
                                            - operator
                                            - value
                                    period:
                                      type: object
                                      properties:
                                        operator:
                                          type: string
                                          enum:
                                            - lessThan
                                            - moreThan
                                            - exactly
                                        value:
                                          type: number
                                        unit:
                                          type: string
                                          const: day
                                      required:
                                        - operator
                                        - value
                                        - unit
                                    conjonction:
                                      type: string
                                      enum:
                                        - or
                                        - and
                                    conditions:
                                      type: array
                                      items:
                                        anyOf:
                                          - allOf:
                                              - type: object
                                                properties:
                                                  kind:
                                                    type: string
                                                    const: string
                                                  relatedModelUuid:
                                                    type: string
                                                  columnSlug:
                                                    type: string
                                                required:
                                                  - kind
                                                  - columnSlug
                                              - anyOf:
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        enum:
                                                          - is
                                                          - isNot
                                                          - contains
                                                          - doesNotContain
                                                          - startsWith
                                                          - endsWith
                                                      values:
                                                        anyOf:
                                                          - type: string
                                                          - type: array
                                                            items:
                                                              type: string
                                                    required:
                                                      - operator
                                                      - values
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        enum:
                                                          - isNull
                                                          - isNotNull
                                                          - isEmpty
                                                          - isNotEmpty
                                                    required:
                                                      - operator
                                          - allOf:
                                              - type: object
                                                properties:
                                                  kind:
                                                    type: string
                                                    const: number
                                                  relatedModelUuid:
                                                    type: string
                                                  columnSlug:
                                                    type: string
                                                required:
                                                  - kind
                                                  - columnSlug
                                              - anyOf:
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        enum:
                                                          - is
                                                          - isNot
                                                          - greaterThan
                                                          - lowerThan
                                                      value:
                                                        type: number
                                                    required:
                                                      - operator
                                                      - value
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        const: between
                                                      firstValue:
                                                        type: number
                                                      lastValue:
                                                        type: number
                                                    required:
                                                      - operator
                                                      - firstValue
                                                      - lastValue
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        enum:
                                                          - isNull
                                                          - isNotNull
                                                    required:
                                                      - operator
                                          - allOf:
                                              - type: object
                                                properties:
                                                  kind:
                                                    type: string
                                                    const: object
                                                  relatedModelUuid:
                                                    type: string
                                                  columnSlug:
                                                    type: string
                                                required:
                                                  - kind
                                                  - columnSlug
                                              - anyOf:
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        const: isNull
                                                    required:
                                                      - operator
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        const: isNotNull
                                                    required:
                                                      - operator
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        const: matchConditions
                                                      conjonction:
                                                        type: string
                                                        enum:
                                                          - or
                                                          - and
                                                      propertyConditions:
                                                        type: array
                                                        items:
                                                          allOf:
                                                            - type: object
                                                              properties:
                                                                kind:
                                                                  type: string
                                                                  const: objectProperty
                                                                relatedModelUuid:
                                                                  type: string
                                                                columnSlug:
                                                                  type: string
                                                                propertyName:
                                                                  type: string
                                                              required:
                                                                - kind
                                                                - columnSlug
                                                                - propertyName
                                                            - anyOf:
                                                                - type: object
                                                                  properties:
                                                                    operator:
                                                                      type: {}
                                                                      enum: {}
                                                                    value:
                                                                      type: {}
                                                                  required:
                                                                    - operator
                                                                    - value
                                                                - type: object
                                                                  properties:
                                                                    operator:
                                                                      type: {}
                                                                      enum: {}
                                                                  required:
                                                                    - operator
                                                                - type: object
                                                                  properties:
                                                                    operator:
                                                                      type: {}
                                                                      const: {}
                                                                    value:
                                                                      type: {}
                                                                    otherValue:
                                                                      type: {}
                                                                  required:
                                                                    - operator
                                                                    - value
                                                                    - otherValue
                                                    required:
                                                      - operator
                                                      - conjonction
                                                      - propertyConditions
                                          - allOf:
                                              - type: object
                                                properties:
                                                  kind:
                                                    type: string
                                                    const: array
                                                  relatedModelUuid:
                                                    type: string
                                                  columnSlug:
                                                    type: string
                                                required:
                                                  - kind
                                                  - columnSlug
                                              - anyOf:
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        const: isNull
                                                    required:
                                                      - operator
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        const: isNotNull
                                                    required:
                                                      - operator
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        const: matchConditions
                                                      conjonction:
                                                        type: string
                                                        enum:
                                                          - or
                                                          - and
                                                      propertyConditions:
                                                        type: array
                                                        items:
                                                          allOf:
                                                            - type: object
                                                              properties:
                                                                kind:
                                                                  type: string
                                                                  const: objectProperty
                                                                relatedModelUuid:
                                                                  type: string
                                                                columnSlug:
                                                                  type: string
                                                                propertyName:
                                                                  type: string
                                                              required:
                                                                - kind
                                                                - columnSlug
                                                                - propertyName
                                                            - anyOf:
                                                                - type: object
                                                                  properties:
                                                                    operator:
                                                                      type: {}
                                                                      enum: {}
                                                                    value:
                                                                      type: {}
                                                                  required:
                                                                    - operator
                                                                    - value
                                                                - type: object
                                                                  properties:
                                                                    operator:
                                                                      type: {}
                                                                      enum: {}
                                                                  required:
                                                                    - operator
                                                                - type: object
                                                                  properties:
                                                                    operator:
                                                                      type: {}
                                                                      const: {}
                                                                    value:
                                                                      type: {}
                                                                    otherValue:
                                                                      type: {}
                                                                  required:
                                                                    - operator
                                                                    - value
                                                                    - otherValue
                                                    required:
                                                      - operator
                                                      - conjonction
                                                      - propertyConditions
                                          - type: object
                                            properties:
                                              kind:
                                                type: string
                                                const: any
                                              relatedModelUuid:
                                                type: string
                                              columnSlug:
                                                type: string
                                              operator:
                                                type: string
                                                enum:
                                                  - isNull
                                                  - isNotNull
                                            required:
                                              - kind
                                              - columnSlug
                                              - operator
                                          - type: object
                                            properties:
                                              kind:
                                                type: string
                                                const: vector
                                              relatedModelUuid:
                                                type: string
                                              columnSlug:
                                                type: string
                                              operator:
                                                type: string
                                                enum:
                                                  - isNull
                                                  - isNotNull
                                            required:
                                              - kind
                                              - columnSlug
                                              - operator
                                          - allOf:
                                              - type: object
                                                properties:
                                                  kind:
                                                    type: string
                                                    const: date
                                                  relatedModelUuid:
                                                    type: string
                                                  columnSlug:
                                                    type: string
                                                required:
                                                  - kind
                                                  - columnSlug
                                              - anyOf:
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        enum:
                                                          - is
                                                          - isNot
                                                          - greaterThan
                                                          - lowerThan
                                                      value:
                                                        type: string
                                                    required:
                                                      - operator
                                                      - value
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        const: between
                                                      firstValue:
                                                        type: string
                                                      lastValue:
                                                        type: string
                                                    required:
                                                      - operator
                                                      - firstValue
                                                      - lastValue
                                                  - type: object
                                                    properties:
                                                      operator:
                                                        type: string
                                                        enum:
                                                          - isNull
                                                          - isNotNull
                                                    required:
                                                      - operator
                                          - type: object
                                            properties:
                                              kind:
                                                type: string
                                                const: boolean
                                              relatedModelUuid:
                                                type: string
                                              columnSlug:
                                                type: string
                                              operator:
                                                type: string
                                                enum:
                                                  - isTrue
                                                  - isFalse
                                                  - isNull
                                                  - isNotNull
                                            required:
                                              - kind
                                              - columnSlug
                                              - operator
                                  required:
                                    - kind
                                    - relatedModelUuid
                                    - frequency
                                    - period
                                    - conjonction
                                    - conditions
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      const: enrollment
                                    workflowUuid:
                                      type: string
                                    activityKind:
                                      type: string
                                      enum:
                                        - workflowEntered
                                        - workflowNodeExecuted
                                        - workflowLeft
                                    nodeSlug:
                                      type: string
                                    frequency:
                                      anyOf:
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              const: not
                                          required:
                                            - operator
                                        - type: object
                                          properties:
                                            operator:
                                              type: string
                                              enum:
                                                - moreThan
                                                - lessThan
                                                - exactly
                                            value:
                                              type: number
                                          required:
                                            - operator
                                            - value
                                    period:
                                      type: object
                                      properties:
                                        operator:
                                          type: string
                                          enum:
                                            - lessThan
                                            - moreThan
                                            - exactly
                                        value:
                                          type: number
                                        unit:
                                          type: string
                                          const: day
                                      required:
                                        - operator
                                        - value
                                        - unit
                                  required:
                                    - kind
                                    - workflowUuid
                                    - activityKind
                                    - frequency
                                    - period
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      const: segment
                                    segmentUuid:
                                      type: string
                                    operator:
                                      type: string
                                      enum:
                                        - in
                                        - notIn
                                  required:
                                    - kind
                                    - segmentUuid
                                    - operator
                        required:
                          - conjonction
                          - conditions
                  required:
                    - conjonction
                    - groups
                sort:
                  title: Sort
                  description: Sort criteria.
                  anyOf:
                    - type: array
                      items:
                        type: object
                        properties:
                          columnSlug:
                            type: string
                          kind:
                            type: string
                            enum:
                              - asc
                              - desc
                        required:
                          - columnSlug
                          - kind
                    - type: 'null'
                limit:
                  title: Limit
                  description: Maximum number of records.
                  anyOf:
                    - type: number
                    - type: 'null'
                trackingColumnSlugs:
                  title: Tracking column slugs
                  description: Tracking column identifiers.
                  anyOf:
                    - type: array
                      items:
                        type: string
                    - type: 'null'
                changeKinds:
                  type: array
                  items:
                    type: string
                    enum:
                      - added
                      - updated
                      - removed
                      - unchanged
                  title: Change kinds
                  description: Change kinds to include.
                runCreationRule:
                  type: string
                  enum:
                    - always
                    - once
                    - noConcurrency
                  title: Run creation rule
                  description: Run creation rule.
                schedule:
                  title: Schedule
                  description: Play schedule configuration.
                  anyOf:
                    - anyOf:
                        - type: object
                          properties:
                            type:
                              type: string
                              const: dbt
                            jobId:
                              type: string
                          required:
                            - type
                            - jobId
                        - type: object
                          properties:
                            type:
                              type: string
                              const: cron
                            cron:
                              type: string
                          required:
                            - type
                            - cron
                        - type: object
                          properties:
                            type:
                              type: string
                              const: realtime
                          required:
                            - type
                        - type: object
                          properties:
                            type:
                              type: string
                              const: dependency
                            playUuid:
                              type: string
                          required:
                            - type
                            - playUuid
                        - type: object
                          properties:
                            type:
                              type: string
                              const: watch
                          required:
                            - type
                    - type: 'null'
                healthThreshold:
                  title: Health threshold
                  description: Health threshold for alerts.
                  type: number
                healthAlertActions:
                  title: Health alert actions
                  description: Health alert actions configuration.
                  type: array
                  items:
                    type: object
                    properties:
                      actionSlug:
                        type: string
                        title: Action slug
                        description: Alert action identifier.
                      connectorUuid:
                        title: Connector UUID
                        description: Connector identifier.
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                      config:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                        title: Config
                        description: Alert action configuration.
                    required:
                      - actionSlug
                      - connectorUuid
                      - config
                folderUuid:
                  title: Folder UUID
                  description: Folder identifier.
                  anyOf:
                    - type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                    - type: 'null'
                template:
                  title: Template
                  description: Template publishing configuration.
                  type: object
                  properties:
                    isAvailable:
                      type: boolean
                      title: Is available
                      description: Whether the template is available.
                    scope:
                      type: string
                      enum:
                        - public
                        - private
                      title: Scope
                      description: Template visibility scope.
                  required:
                    - isAvailable
                    - scope
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  play:
                    type: object
                    properties:
                      uuid:
                        type: string
                      workspaceUuid:
                        type: string
                      workflowUuid:
                        type: string
                      userUuid:
                        type: string
                      modelUuid:
                        type: string
                      segmentUuid:
                        type: string
                      changeKinds:
                        type: array
                        items:
                          type: string
                      runCreationRule:
                        type: string
                        enum:
                          - always
                          - once
                          - noConcurrency
                      name:
                        type: string
                      description:
                        anyOf:
                          - type: string
                          - type: 'null'
                      schedule:
                        anyOf:
                          - anyOf:
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    const: watch
                                  temporalScheduleWorkflowId:
                                    type: string
                                  meta:
                                    type: object
                                    propertyNames:
                                      type: string
                                    additionalProperties: {}
                                required:
                                  - type
                                  - temporalScheduleWorkflowId
                                additionalProperties: false
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    const: realtime
                                required:
                                  - type
                                additionalProperties: false
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    const: cron
                                  cron:
                                    type: string
                                  temporalScheduleWorkflowId:
                                    type: string
                                required:
                                  - type
                                  - cron
                                  - temporalScheduleWorkflowId
                                additionalProperties: false
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    const: dbt
                                  jobId:
                                    type: string
                                required:
                                  - type
                                  - jobId
                                additionalProperties: false
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    const: dependency
                                  playUuid:
                                    type: string
                                required:
                                  - type
                                  - playUuid
                                additionalProperties: false
                          - type: 'null'
                      isEnabled:
                        type: boolean
                      healthThreshold:
                        type: number
                      healthAlertActions:
                        type: array
                        items:
                          type: object
                          properties:
                            actionSlug:
                              type: string
                            connectorUuid:
                              type: string
                            config:
                              type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                          required:
                            - actionSlug
                            - connectorUuid
                            - config
                          additionalProperties: false
                      folderUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      deletedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - uuid
                      - workspaceUuid
                      - workflowUuid
                      - userUuid
                      - modelUuid
                      - segmentUuid
                      - changeKinds
                      - runCreationRule
                      - name
                      - description
                      - schedule
                      - isEnabled
                      - healthThreshold
                      - healthAlertActions
                      - folderUuid
                      - createdAt
                      - updatedAt
                      - deletedAt
                    additionalProperties: false
                    title: Play
                    description: Updated play details.
                required:
                  - play
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````